Skip to content
Permalink
Browse files

upgrade requirements and use them in setup.py

Signed-off-by: Chris Warrick <kwpolska@gmail.com>
  • Loading branch information
Kwpolska committed May 9, 2015
1 parent 6299b22 commit 6fa86731fcb2ad42ba892588314e92f2eee08996
Showing with 19 additions and 14 deletions.
  1. +15 −14 requirements.txt
  2. +4 −0 setup.py
@@ -1,32 +1,33 @@
git+https://github.com/getnikola/nikola#egg=Nikola
Nikola>=7.4.1
git+https://github.com/nvie/rq.git#egg=rq
blinker==1.3
docopt==0.6.1
docopt==0.6.2
docutils==0.12
doit==0.26.0
doit==0.28.0
Flask==0.10.1
Flask-Bcrypt==0.6.0
Flask-Bcrypt==0.6.2
Flask-Login==0.2.11
Flask-WTF==0.11
itsdangerous==0.24
Jinja2==2.7.3
Logbook==0.8.1
lxml==3.4.1
Mako==1.0.0
Logbook==0.9.1
lxml==3.4.4
Mako==1.0.1
MarkupSafe==0.23
natsort==3.5.1
natsort==3.5.6
passlib==1.6.2
Pillow==2.7.0
Pillow==2.8.1
py-bcrypt==0.4
Pygments==2.0.1
Pygments==2.0.2
pyinotify==0.9.5
PyRSS2Gen==1.1
python-dateutil==2.4.0
pytz==2014.10
python-bcrypt==0.3.1
python-dateutil==2.4.2
pytz==2015.2
redis==2.10.3
six==1.9.0
Unidecode==0.4.17
webassets==0.10.1
Werkzeug==0.9.6
Werkzeug==0.10.4
WTForms==2.0.2
Yapsy==1.10.423
Yapsy==1.11.23
@@ -3,6 +3,9 @@
import io
from setuptools import setup

with open('requirements.txt', 'r') as fh:
dependencies = [l.strip() for l in fh][2:]

setup(name='coil',
version='1.2.0',
description='A user-friendly CMS frontend for Nikola.',
@@ -23,6 +26,7 @@
'Programming Language :: Python :: 3.3',
'Programming Language :: Python :: 3.4'],
packages=['coil'],
install_requires=dependencies,
include_package_data=True,
entry_points={
'console_scripts': [

0 comments on commit 6fa8673

Please sign in to comment.
You can’t perform that action at this time.